none
deployment plan generation error (required contributor - DataRetentionDeploymentPlanModifier - LocalDbLocationModifier RRS feed

  • Question

  • I recently updated to visual studio 13.5, ssdt, Fsharp bundle, office tools, AzurePack, and WinLibJS. Now I can't rebuild solutions in lightswitch. I am not using Azure at all, just deploying locally and to a server on our network. I am unable to update the local database.  I get the error:

    Error 1 An exception occurred when building the database for the application.
    An error occurred during deployment plan generation. Deployment cannot continue.
    Error SQL0: Required contributor with id 'Microsoft.LightSwitch.DataRetentionDeploymentPlanModifier.v4.0' could not be loaded.
    Error SQL0: Required contributor with id 'Microsoft.LightSwitch.LocalDbLocationModifier.v4.0' could not be loaded.
     C:\Program Files (x86)\MSBuild\Microsoft\VisualStudio\LightSwitch\v4.0\Microsoft.LightSwitch.targets 160 10 AppUsers

    I do not have any extension DLLs. I saw the post about the DAC extensions, and folders, and where the search for DLLs occur, but those solutions don't seem to work for me (The only extensions I have are the ones specific to Lightswitch.)

    I have looked for solutions on line but have not found any. Any suggestions where to begin?


    Alf Siochi Department of Radiation Oncology University of Iowa

    Tuesday, September 8, 2015 6:26 PM

Answers

  • I fixed the issue. The upgrades I installed also upgraded lightswitch from version 4 to 4.5 - However, my project was still at version 4. By right clicking on the project in solution explorer I was able to upgrade the project. It now rebuilds properly.

    Alf Siochi Department of Radiation Oncology University of Iowa

    Tuesday, September 8, 2015 8:10 PM

All replies

  • Additional information: I just tried creating a new Lightswitch project with one data table just to see if I could build this. It seems to work. This issue seems to be isolated to projects I created before the update.

    Alf Siochi Department of Radiation Oncology University of Iowa

    Tuesday, September 8, 2015 6:45 PM
  • I fixed the issue. The upgrades I installed also upgraded lightswitch from version 4 to 4.5 - However, my project was still at version 4. By right clicking on the project in solution explorer I was able to upgrade the project. It now rebuilds properly.

    Alf Siochi Department of Radiation Oncology University of Iowa

    Tuesday, September 8, 2015 8:10 PM